<?php


$appDir = Zend_Controller_Front::getInstance()->getParam('appDir');
$appName = Zend_Controller_Front::getInstance()->getParam('appName');

$frameset = new we_ui_layout_Frameset();
	
$frameset->setRows(((isset($_SESSION['prefs']['debug_normal']) && $_SESSION['prefs']['debug_normal'] != 0) ? '32,*,100' : '32,*,0'));
	//$frameset->setOnLoad('start();');

$param = 	($this->tab ?
				'/tab/' . $this->tab :
				'') .
			($this->sid ?
				'/sid/' . $this->sid :
				'') .
			($this->modelId ?
				'/modelId/' . $this->modelId :
				'');

$frameset->addFrame(array(
	'src' => $appDir . '/index.php/header/index',
	'name' => 'header',
	'scrolling' => 'no', 
	
	'noresize' => 'noresize'
));

if (we_core_Permissions::hasPerm('USE_UPLOADDIR_APP_WEPHPMYADMIN')){
	$uploaddir = $appDir."/uploadsave";
} else {$uploaddir='';}
if (we_core_Permissions::hasPerm('USE_UPLOADDIR_APP_WEPHPMYADMIN')){
	$savedir = $appDir."/uploadsave";
} else {$savedir='';}

if(stripos(DB_HOST,':') !== false){
			list($host,$port) = explode(':',DB_HOST);
			$DBpar['host'] = $host;
			$DBpar['port'] = $port;
		} else {
			$DBpar['host'] =  DB_HOST;
		}
$configfile = '<?php
/* vim: set expandtab sw=4 ts=4 sts=4: */
/**
 * phpMyAdmin sample configuration, you can use it as base for
 * manual configuration. For easier setup you can use setup/
 *
 * All directives are explained in Documentation.html and on phpMyAdmin
 * wiki <http://wiki.phpmyadmin.net>.
 *
 * @version $Id$
 * @package phpMyAdmin
 */

/*
 * This is needed for cookie based authentication to encrypt password in
 * cookie
 */
$cfg["blowfish_secret"] = ""; /* YOU MUST FILL IN THIS FOR COOKIE AUTH! */

/*
 * Servers configuration
 */
$i = 0;

/*
 * First server
 */
$i++;
/* Authentication type */
$cfg["Servers"][$i]["auth_type"] = "signon";
$cfg["Servers"][$i]["SignonSession"] = "'.session_name().'";
$cfg["Servers"][$i]["SignonURL"] = "/webEdition";  

/* Server parameters */
$cfg["Servers"][$i]["host"] = "'.$DBpar['host'].'";
$cfg["Servers"][$i]["connect_type"] = "tcp";
$cfg["Servers"][$i]["compress"] = false;
/* Select mysqli if your server has it */
$cfg["Servers"][$i]["extension"] = "mysql";
$cfg["Servers"][$i]["AllowNoPassword"] = false;
$cfg["Servers"][$i]["only_db"] = "'.DB_DATABASE.'";
$cfg["Servers"][$i]["user"] = "'.DB_USER.'";
$cfg["Servers"][$i]["password"] = "";

$cfg["ShowPhpInfo"] = false;
$cfg["ShowChgPassword"] = false;
$cfg["ShowCreateDb"] = false;
$cfg["GD2Available"] = "yes";
$cfg["PmaNoRelation_DisableWarning"] = true; 

/* rajk - for blobstreaming */
$cfg["Servers"][$i]["bs_garbage_threshold"] = 50;
$cfg["Servers"][$i]["bs_repository_threshold"] = "32M";
$cfg["Servers"][$i]["bs_temp_blob_timeout"] = 600;
$cfg["Servers"][$i]["bs_temp_log_threshold"] = "32M";

/* User for advanced features */
// $cfg["Servers"][$i]["controluser"] = "pma";
// $cfg["Servers"][$i]["controlpass"] = "pmapass";
/* Advanced phpMyAdmin features */
// $cfg["Servers"][$i]["pmadb"] = "phpmyadmin";
// $cfg["Servers"][$i]["bookmarktable"] = "pma_bookmark";
// $cfg["Servers"][$i]["relation"] = "pma_relation";
// $cfg["Servers"][$i]["table_info"] = "pma_table_info";
// $cfg["Servers"][$i]["table_coords"] = "pma_table_coords";
// $cfg["Servers"][$i]["pdf_pages"] = "pma_pdf_pages";
// $cfg["Servers"][$i]["column_info"] = "pma_column_info";
// $cfg["Servers"][$i]["history"] = "pma_history";
// $cfg["Servers"][$i]["tracking"] = "pma_tracking";
// $cfg["Servers"][$i]["designer_coords"] = "pma_designer_coords";
/* Contrib / Swekey authentication */
// $cfg["Servers"][$i]["auth_swekey_config"] = "/etc/swekey-pma.conf";

/*
 * End of servers configuration
 */

/*
 * Directories for saving/loading files from server
 */
$cfg["UploadDir"] = "'.$uploaddir.'";
$cfg["SaveDir"] = "'.$savedir.'";

?>
';
$_SESSION['PMA_single_signon_user'] = DB_USER;
$_SESSION['PMA_single_signon_password'] = DB_PASSWORD;
session_write_close ();
we_util_File::save($_SERVER['DOCUMENT_ROOT']. $appDir .'/phpMyAdmin/config.inc.php', $configfile);

$frameset->addFrame(array(
	'src' => $appDir .'/phpMyAdmin/', 
	'name' => 'thirdparty_' . $appName, 
	'scrolling' => 'no', 
	'noresize' => 'noresize'
));

$frameset->addFrame(array(
	'src' => 'about:blank', 
	'name' => 'cmd_' . $appName, 
	'scrolling' => 'no', 
	'noresize' => 'noresize'
));	
	
$page = we_ui_layout_HTMLPage::getInstance();
$page->setIsTopFrame(true);
$page->setFrameset($frameset);
$page->addJSFile('/webEdition/js/windows.js');
$page->addJSFile('/webEdition/js/we_showMessage.js');
$page->addJSFile('/webEdition/js/images.js');
$page->addJSFile('/webEdition/js/libs/yui/yahoo-min.js');
$page->addJSFile('/webEdition/js/libs/yui/event-min.js');
$page->addJSFile('/webEdition/js/libs/yui/connection-min.js');
$page->addJSFile('/webEdition/js/libs/yui/json-min.js');
$page->addJSFile('/webEdition/lib/we/core/JsonRpc.js');

$page->addInlineJS($this->getJSTop());
	
echo $page->getHTML();

?>