<?php

include_once ($_SERVER['DOCUMENT_ROOT'] . '/webEdition/lib/we/core/autoload.php');

$isUTF8 = $GLOBALS['WE_BACKENDCHARSET'] == 'UTF-8';

$translate = we_core_Local::addTranslation('default.xml', 'wephpmyadmin');

$perm_group_name = "wephpmyadmin";
$perm_group_title[$perm_group_name] = $isUTF8 ? $translate->_('wephpmyadmin') : utf8_decode($translate->_('wephpmyadmin'));

$perm_values[$perm_group_name] = array(
	"USE_APP_WEPHPMYADMIN","USE_UPLOADDIR_APP_WEPHPMYADMIN","USE_SAVEDIR_APP_WEPHPMYADMIN"
);

$perm_titles[$perm_group_name] = array();

$translated = array(
		$translate->_('The user is allowed to use wephpmyadmin'),
		$translate->_('The user is allowed to use the uploaddir'),
		$translate->_('The user is allowed to use the savedir')
);

foreach ($translated as $i => $value) {
	$perm_titles[$perm_group_name][$perm_values[$perm_group_name][$i]] = $isUTF8 ? $value : utf8_decode($value);
}

$perm_defaults[$perm_group_name] = array(
	"USE_APP_WEPHPMYADMIN" => 0,"USE_UPLOADDIR_APP_WEPHPMYADMIN"=>0, "USE_SAVEDIR_APP_WEPHPMYADMIN"=>0
);

?>